/**
 * Theme Name: Bloop
 * Text Domain: bloop-child
 * Template: Divi
 * Description:  Custom Wordpress theme based on Divi.
 * Author:       Bloop
 * Version: 1.0.0
 * Author URI:   https://bloop-cookies.com/
 *
 * @format
 */

:root {
  --main-light: #ffeadd;
  --main-dark: #c1421b;
  --bleu-dark: #4d8687;
  --bleu-light: #e0efe1;
  --brun-dark: #ba8b64;
  --brun-light: #fff8e9;
  --transition: all 0.4s;
  --radius: 4px;
  --noir: #333333;
}
/* TEMP  */
/* TEMP  */
/* TEMP  */
/* TEMP  */
/* .section_produit_woo .bundled_item_cart_content,
.section_produit_woo .bundle_wrap{
 pointer-events: none !important;
 opacity: 0.2;
} */
/* FIN TEMP  */
/* FIN TEMP  */
/* FIN TEMP  */
/* FIN TEMP  */

.button_divi {
  border-bottom-width: 6px !important;
}

.button_divi:hover {
  border-bottom-width: 6px !important;
}

.et_pb_image img {
  pointer-events: none;
}

.bg_parallax_opacity .et_parallax_bg {
  opacity: 0.05;
}

#container_mockup_iphone {
  display: block;
  transition: var(--transition);
  transform-origin: center;
  position: relative;
  width: 270px;
}

#iphone_heure {
  position: absolute;
  background: white;
  width: 40px;
  height: 20px;
  top: 8px;
  left: 19px;
  z-index: 9999;
  border-radius: 50px;
  font-size: 12px;
  color: black;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
}

#hour_dots {
  animation: dots_hours 2s infinite;
}

#video-bloop-cookies-text {
  position: absolute;
  left: -145px;
  width: 150px;
  top: calc(50% - 40px);
}

#video-img-iphone {
  width: 370px;
  transform: translate(-322px, -45px);
  position: absolute;
  max-width: unset;
}

#video-iphone-video {
  width: 280px;
  pointer-events: none;
  border-radius: 15px !important;
}

@media screen and (max-width: 1200px) {
  #container_mockup_iphone {
    width: 245px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  #video-bloop-cookies-text {
    left: -70px;
    width: 100px;
  }

  #video-img-iphone {
    width: 245px;
    transform: translate(-2px, -25px);
    position: absolute;
  }

  #video-iphone-video {
    width: 180px;
    pointer-events: none;
    border-radius: 15px !important;
  }

  #iphone_heure {
    width: 35px;
    height: 10px;
    top: 11px;
    left: 40px;
    font-size: 10px;
  }
}

@media screen and (max-width: 767px) {
  #video-bloop-cookies-text {
    left: -50px;
    width: 80px;
  }
}

@media screen and (max-width: 767px) {
  #recap_shop_updated {
    font-size: 16px;
  }
}

/* contact form */
div.wpforms-container-full .wpforms-form input[type="date"],
div.wpforms-container-full .wpforms-form input[type="datetime"],
div.wpforms-container-full .wpforms-form input[type="datetime-local"],
div.wpforms-container-full .wpforms-form input[type="email"],
div.wpforms-container-full .wpforms-form input[type="month"],
div.wpforms-container-full .wpforms-form input[type="number"],
div.wpforms-container-full .wpforms-form input[type="password"],
div.wpforms-container-full .wpforms-form input[type="range"],
div.wpforms-container-full .wpforms-form input[type="search"],
div.wpforms-container-full .wpforms-form input[type="tel"],
div.wpforms-container-full .wpforms-form input[type="text"],
div.wpforms-container-full .wpforms-form input[type="time"],
div.wpforms-container-full .wpforms-form input[type="url"],
div.wpforms-container-full .wpforms-form input[type="week"],
div.wpforms-container-full .wpforms-form select,
div.wpforms-container-full .wpforms-form textarea {
  border: none !important;
  border-radius: 0 !important;
  border-bottom: 2px solid var(--main-dark) !important;
  outline: none !important;
  background-color: none !important;
  background: none !important;
}

div.wpforms-container-full input[type="submit"],
div.wpforms-container-full button[type="submit"],
div.wpforms-container-full .wpforms-page-button,
div.wpforms-container-full input[type="submit"]:not(:hover):not(:active),
div.wpforms-container-full button[type="submit"]:not(:hover):not(:active),
div.wpforms-container-full .wpforms-page-button:not(:hover):not(:active) {
  background-color: var(--main-light) !important;
  background: var(--main-light) !important;
  border: 2px solid var(--main-dark) !important;
  color: var(--main-dark) !important;
  outline: none !important;
  border-radius: 20px !important;
  padding: 22px 30px !important;
  font-family: "Kumbh Sans", Helvetica, Arial, Lucida, sans-serif !important;
  font-size: 20px !important;
  display: flex !important;
  align-items: center !important;
  border-bottom: 5px solid var(--main-dark) !important;
  transition: var(--transition);
}

div.wpforms-container-full input[type="submit"]:hover,
div.wpforms-container-full button[type="submit"]:hover,
div.wpforms-container-full .wpforms-page-button:hover {
  transform: scale(0.95) !important;
}

div.wpforms-container-full input[type="date"]:focus,
div.wpforms-container-full input[type="datetime"]:focus,
div.wpforms-container-full input[type="datetime-local"]:focus,
div.wpforms-container-full input[type="email"]:focus,
div.wpforms-container-full input[type="month"]:focus,
div.wpforms-container-full input[type="number"]:focus,
div.wpforms-container-full input[type="password"]:focus,
div.wpforms-container-full input[type="range"]:focus,
div.wpforms-container-full input[type="search"]:focus,
div.wpforms-container-full input[type="tel"]:focus,
div.wpforms-container-full input[type="text"]:focus,
div.wpforms-container-full input[type="time"]:focus,
div.wpforms-container-full input[type="url"]:focus,
div.wpforms-container-full input[type="week"]:focus,
div.wpforms-container-full select:focus,
div.wpforms-container-full textarea:focus {
  box-shadow: none !important;
}

/* forminator jobs  */
.forminator-custom-form .label-none .forminator-label {
  display: none !important;
}

.forminator-ui#forminator-module-4936.forminator-design--default .forminator-input,
.forminator-ui#forminator-module-4936.forminator-design--default .forminator-input input,
.forminator-ui#forminator-module-4936.forminator-design--default .forminator-iti-input .iti__selected-dial-code,
.forminator-ui#forminator-module-4936.forminator-design--default .forminator-textarea {
  border: none !important;
  border-radius: 0 !important;
  border-bottom: 2px solid var(--main-dark) !important;
  outline: none !important;
  background-color: none !important;
  background: none !important;
}

.forminator-ui#forminator-module-4936.forminator-design--default .forminator-button-upload {
  border: 1px solid var(--main-dark) !important;
  color: var(--main-dark) !important;
  border-radius: 50px !important;
  background: none !important;
  background-color: none !important;
  transition: var(--transition);
}
.forminator-ui.forminator-custom-form[data-design="default"] .forminator-button:active,
.forminator-ui.forminator-custom-form[data-design="default"] .forminator-button:focus,
.forminator-ui.forminator-custom-form[data-design="default"] .forminator-button:hover {
  box-shadow: none !important;
  transform: scale(0.96);
}

.forminator-ui#forminator-module-4936.forminator-design--default .forminator-button-submit {
  background-color: var(--main-light) !important;
  background: var(--main-light) !important;
  border: 2px solid var(--main-dark) !important;
  color: var(--main-dark) !important;
  outline: none !important;
  border-radius: 20px !important;
  padding: 10px 30px !important;
  font-family: "Kumbh Sans", Helvetica, Arial, Lucida, sans-serif !important;
  font-size: 20px !important;
  display: flex !important;
  align-items: center !important;
  border-bottom: 5px solid var(--main-dark) !important;
  transition: var(--transition);
  text-align: center !important;
}

/* fin steps  */
#module_1ere_etape,
#module_2eme_etape,
#module_3eme_etape {
  position: relative;
}

#module_1ere_etape::before,
#module_2eme_etape::before,
#module_3eme_etape::before {
  position: absolute;
  content: "";
  background: url(/wp-content/uploads/2023/11/bloop-red-arrow-to-right.svg);
  background-size: contain;
  background-repeat: no-repeat !important;
}

#module_1ere_etape::before {
  left: -30px;
  width: 30px;
  height: 82px;
  top: -80px;
}

#module_2eme_etape::before {
  left: -30px;
  width: 30px;
  height: 80px;
  top: -60px;
}

@media screen and (min-width: 981px) {
  #row_steps_boutique,
  #row_steps_boutique .et_pb_column .et_pb_blurb_container {
    position: relative;
  }

  #row_steps_boutique .et_pb_column .et_pb_blurb_container::after {
    content: "";
    position: absolute;
    top: -94px;
    left: calc(50% - 55px);
    background: var(--main-dark);
    border: 2px dashed var(--main-light);
    border-radius: 50px;
    height: 30px;
    width: 30px;
  }

  #row_steps_boutique::before {
    content: "";
    position: absolute;
    top: -18px;
    right: 0;
    background: transparent;
    border: 2px dashed var(--main-light);
    height: 30px;
    border-left-color: rgba(0, 0, 0, 0);
    border-bottom-color: rgba(0, 0, 0, 0);
    width: 30px;
    transform: rotate(45deg);
  }

  #colonne-1-partenaires {
    border-right: 1px solid var(--brun-dark) !important;
  }

  #section_shop_boxes_col_1 {
    border-right: 1px solid var(--main-dark) !important;
  }
}

@media only screen and (max-width: 980px) {
  .flex-columns-mobile {
    display: flex;
    justify-content: space-between;
  }

  .flex-columns-mobile .et_pb_column {
    width: 31% !important;
  }

  .section_apropos_caro .et_pb_row:after,
  .section_apropos_caro .et_pb_row_inner:after {
    display: none !important;
  }

  #section_shop_boxes .et_pb_row {
    display: flex;
    flex-direction: column-reverse;
  }

  #module_1ere_etape::before {
    width: 20px;
    height: 60px;
    left: 15%;
    top: -60px;
  }
}

/* btn composer mon box */
.btn-composer-box {
  padding: 3% 4%;
  border: 2px solid var(--main-dark);
  border-bottom-width: 6px !important;
  border-radius: 20px;
  margin-top: 12px;
  display: inline-block;
  transition: var(--transition);
  white-space: nowrap !important;
}

.btn-composer-box:hover {
  transform: scale(0.95);
}

@media screen and (max-width: 767px) {
  #module_1ere_etape::before {
    width: 15px;
    height: 60px;
    left: 10px;
    top: -50px;
  }

  #module_2eme_etape::before {
    width: 15px;
    height: 60px;
    left: 10px;
    top: -50px;
  }

  #section_shop_boxes_col_1 .et_pb_row_inner {
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap !important;
  }

  .btn-composer-box {
    padding: 4% 4%;
    border-bottom-width: 4px !important;
    border-radius: 15px;
  }
}

@keyframes dots_hours {
  0%,
  100% {
    opacity: 1;
  }

  50% {
    opacity: 0;
  }
}
